package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.biz.dal.enums.HomeworkStatusEnum;
import com.yonge.cooleshow.common.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-05-31
 */
@ApiModel("学生课后作业信息")
public class StudentHomeworkVo {

    @ApiModelProperty("学生id")
    private Long studentId;

    @ApiModelProperty("学员姓名")
    private String studentName;

    @ApiModelProperty("学员头像")
    private String studentAvatar;

    @ApiModelProperty("学生提交作业 0：未提交，1：已提交")
    private YesOrNoEnum submitHomework;

    @ApiModelProperty("声部 多个逗号隔开")
    private String subjectName;

    @ApiModelProperty("NOTCOMMIT:未提交 ，NOTREVIEW: 未评价 REVIEWED:已评价")
    private HomeworkStatusEnum homeworkStatus;

    public HomeworkStatusEnum getHomeworkStatus() {
        return homeworkStatus;
    }

    public void setHomeworkStatus(HomeworkStatusEnum homeworkStatus) {
        this.homeworkStatus = homeworkStatus;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentAvatar() {
        return studentAvatar;
    }

    public void setStudentAvatar(String studentAvatar) {
        this.studentAvatar = studentAvatar;
    }

    public YesOrNoEnum getSubmitHomework() {
        return submitHomework;
    }

    public void setSubmitHomework(YesOrNoEnum submitHomework) {
        this.submitHomework = submitHomework;
    }
}
